> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Remove User from Group > Remove a user from the private group/channel. Permission required: `kick-user-from-any-p-room` ### Changelog | Version | Description | | ------- | ----------- | | 0.48.0 | Added | ## OpenAPI ````json POST /api/v1/groups.kick { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.kick": { "post": { "tags": [ "Groups" ], "summary": "Remove User from Group", "description": "Remove a user from the private group/channel. Permission required: `kick-user-from-any-p-room`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.48.0 | Added |", "operationId": "post-api-v1-groups.kick", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "Enter the private room ID from which you want to remove the user.", "example": "ByehQjC44FwMeiLbX" }, "userId": { "type": "string", "description": "Enter the user ID that you want to remove.", "example": "nSYqWzZ4GsKTX4dyK" } }, "required": [ "roomId", "userId" ] }, "examples": { "Example": { "value": { "roomId": "ByehQjC44FwMeiLbX", "userId": "nSYqWzZ4GsKTX4dyK" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "group": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "t": { "type": "string" }, "usernames": { "type": "array", "items": { "type": "string" } }, "msgs": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "group": { "_id": "ByehQjC44FwMeiLbX", "name": "invite-me", "t": "p", "usernames": [ "testing1" ], "msgs": 0, "u": { "_id": "aobEdbYhXfu5hkeqG", "username": "testing1" }, "ts": "2016-12-09T15:08:58.042Z", "ro": false, "sysMes": true, "_updatedAt": "2016-12-09T15:22:40.656Z" }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" }, "details": { "type": "object", "properties": { "method": { "type": "string" } } } } }, "examples": { "No permission": { "value": { "success": false, "error": "Not allowed [error-not-allowed]", "errorType": "error-not-allowed", "details": { "method": "removeUserFromRoom" } } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````